Data - Retrieve Classes
检索类及其属性的列表。
POST http://<Servername>/OperationsManager/data/scomClasses
请求正文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名称 | 类型 | 说明 |
|---|---|---|
| criteria |
string |
指定要搜索的条件 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。已成功检索类及其属性的列表。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
示例
RetrieveClasses
示例请求
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
示例响应
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| 名称 | 类型 | 说明 |
|---|---|---|
| className |
string |
类名 |
| displayName |
string |
显示名称 |
| fullName |
string |
完整姓名 |
| id |
string |
身份证件 |
| path |
string |
路径 |
ScopeDataResponse
| 名称 | 类型 | 说明 |
|---|---|---|
| scopeDatas |
范围数据 |